%if 0%{?fedora} > 12 || 0%{?rhel} >= 8
%global with_python3 1
%endif

%{!?__python2:%global __python2 %{__python}}
%{!?python2_sitelib:   %global python2_sitelib         %{python_sitelib}}
%{!?python2_sitearch:  %global python2_sitearch        %{python_sitearch}}
%{!?python2_version:   %global python2_version         %{python_version}}


%global pypi_name XStatic

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        8%{?dist}
Summary:        XStatic base package with minimal support code

License:        MIT
URL:            http://bitbucket.org/thomaswaldmann/xstatic
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%description
The goal of XStatic family of packages is to provide static
file packages with minimal overhead - without selling you some 
dependencies you don't want.

XStatic has some minimal support code for working with the
XStatic-* packages.

%package -n python2-%{pypi_name}
Summary:       XStatic base package with minimal support code
BuildRequires: python2-devel
BuildRequires: python2-setuptools
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}

The goal of XStatic family of packages is to provide static
file packages with minimal overhead - without selling you some
dependencies you don't want.

XStatic has some minimal support code for working with the
XStatic-* packages.



%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:       XStatic base package with minimal support code
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}
%description -n python3-%{pypi_name}

The goal of XStatic family of packages is to provide static
file packages with minimal overhead - without selling you some
dependencies you don't want.

XStatic has some minimal support code for working with the
XStatic-* packages.


%endif

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%if 0%{?with_python3}
%py3_build
%endif # with_python3

%py2_build


%install
%if 0%{?with_python3}
%py3_install
mkdir %{buildroot}/%{python3_sitelib}/xstatic/pkg
%endif # with_python3

%py2_install
mkdir %{buildroot}/%{python2_sitelib}/xstatic/pkg


%files -n python2-%{pypi_name}
%doc README.txt
%{python2_sitelib}/xstatic
%{python2_sitelib}/XStatic-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/XStatic-%{version}-py%{python2_version}-nspkg.pth

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/xstatic
%{python3_sitelib}/XStatic-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic-%{version}-py%{python3_version}-nspkg.pth

%endif


%changelog
* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-8
- Rebuild for Python 3.6

* Wed Aug 31 2016 Matthias Runge <mrunge@redhat.com> - 1.0.1-7
- provide python/python2
- spec cleanup

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 10 2014 Matthias Runge <mrunge@redhat.com> - 1.0.1-2
- include xstatic/pkg

* Tue Jul 08 2014 Matthias Runge <mrunge@redhat.com> - 1.0.1-1
- Initial package.
